﻿using RimWorld;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Verse;

namespace MyMod
{
    public class Building_MyTestBuilding : Building
    {
        private DefModExtension_MyModBuilding settings;

        public override void SpawnSetup(Map map, bool respawningAfterLoad)
        {
            base.SpawnSetup(map, respawningAfterLoad);

            settings = def.GetModExtension<DefModExtension_MyModBuilding>();
        }

        public override void Tick()
        {
            base.Tick();

            if(Find.TickManager.TicksGame % settings.needFoodSatisfyingSpeed == 0)
            {
                CellRect cellRect = this.OccupiedRect().ExpandedBy(5);
                foreach(IntVec3 cell in cellRect)
                {
                    IEnumerable<Thing> pawns = cell.GetThingList(Map).Where(x => x is Pawn);
                    foreach(Thing thing in pawns)
                    {
                        Pawn pawn = thing as Pawn;
                        Need_Food need_Food = pawn.needs.TryGetNeed<Need_Food>();
                        if(need_Food != null)
                        {
                            need_Food.CurLevel += 0.05f;
                        }
                    }
                }
            }
        }
    }
}
