﻿using RimWorld;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Verse;

namespace MyMod
{
    public class IncidentWorker_MyModIncident : IncidentWorker
    {
        private DefModExtension_MyModIncident settings => def.GetModExtension<DefModExtension_MyModIncident>();

        protected override bool TryExecuteWorker(IncidentParms parms)
        {
            Map map = (Map)parms.target;
            map.weatherManager.TransitionTo(settings.weatherDef);

            IncidentParms raidParms = StorytellerUtility.DefaultParmsNow(IncidentDefOf.RaidEnemy.category, map);
            raidParms.points = settings.raidPowerRange.RandomInRange;

            IncidentDefOf.RaidEnemy.Worker.TryExecute(raidParms);

            return true;
        }
    }
}
